<?xml version="1.0" encoding="UTF-8"?>
<project name="BWTT_EngineCode_run_script" default="all" basedir="../../EngineCode">
    <property environment="env"/>
    <condition property="maxcompilerdirpath" value="${env.MAXCOMPILERJCP}">
        <isset property="env.MAXCOMPILERJCP"/>
    </condition>
    <condition property="maxcompilerdirpath" value="${env.MAXCOMPILERDIR}/lib/MaxCompiler.jar">
        <not>
            <isset property="maxcompilerdirpath"/>
        </not>
    </condition>
    <condition property="EnvClassPath" value="${env.CLASSPATH}">
        <isset property="env.CLASSPATH"/>
    </condition>
    <target name="all" depends="runresult"/>
    <target name="build">
        <ant inheritAll="false" antfile="../RunRules/Simulation/bwtt_Build.xml"/>
    </target>
    <target name="run" depends="build">
        <condition property="args" value="">
            <not>
                <isset property="args"/>
            </not>
        </condition>
        <java classname="bwtt.bwttManager" fork="true" failonerror="false" resultproperty="java.result">
            <env key="MAXSOURCEDIRS" value="src"/>
            <jvmarg value="-Xmx2048m"/>
            <arg line="${args}"/>
            <classpath>
                <pathelement path="${env.ANT_MAXELER_INTERNAL_MAXIDE_JARS}"/>
                <pathelement path="../RunRules/Simulation/dist/bin"/>
                <pathelement path="${maxcompilerdirpath}"/>
                <pathelement path="${EnvClassPath}"/>
            </classpath>
        </java>
        <exec executable="${env.MAXCOMPILERDIR}/lib/MaxIDE/copyBuildResults.sh" newenvironment="false" dir="../RunRules/Simulation">
            <arg value="-p"/>
            <arg value="Simulation"/>
        </exec>
    </target>
    <target name="runresult" depends="run">
        <echo message="Checking java run result: exit status = ${java.result}"/>
        <condition property="java.run.fail">
            <not>
                <equals arg1="${java.result}" arg2="0"/>
            </not>
        </condition>
        <fail if="java.run.fail" message="java run stage failed."/>
    </target>
    <target name="clean">
        <ant inheritAll="false" antfile="../RunRules/Simulation/bwtt_Build.xml" target="clean"/>
    </target>
    <target name="jar" depends="build">
        <mkdir dir="../RunRules/Simulation/dist/jar"/>
        <copy includeemptydirs="false" todir="../RunRules/Simulation/dist/jar">
            <fileset dir="../RunRules/Simulation/dist/bin" excludes="**/*.uad, **/*.ucd, **/*.uld, **/*.upd, **/*.udd, **/*.uod, **/*.usd, **/*.utd, **/*.uud, **/*.odd, **/*.ead, **/*.ecd, **/*.eld, **/*.epd, **/*.edd, **/*.eod, **/*.esd, **/*.etd, **/*.eud, **/*.urd*.uml, **/*.ecore, **/*.launch, **/*.java, **/*.maxj, **/package.html"/>
        </copy>
        <jar destfile="bwttManager.jar" basedir="../RunRules/Simulation/dist/jar">
            <manifest>
                <attribute name="Main-Class" value="bwtt.bwttManager"/>
            </manifest>
        </jar>
    </target>
    <target name="help">
        <echo message="ant -f bwtt.xml -Dargs=&quot;${Value}&quot;&#9;Run project"/>
        <echo message="ant -f bwtt.xml build&#9;&#9;&#9;Compile project"/>
        <echo message="ant -f bwtt.xml run -Dargs=&quot;${Value}&quot;&#9;Run project"/>
        <echo message="ant -f bwtt.xml clean&#9;&#9;&#9;Delete temp folders"/>
        <echo message="ant -f bwtt.xml jar&#9;&#9;&#9;Create jar package"/>
        <echo message="ant -f bwtt.xml help&#9;&#9;&#9;Print help message"/>
    </target>
</project>
